avifile(1)

NAME
avifile-config - script to get information about the installed version of avifile

SYNOPSIS
avifile-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags]

DESCRIPTION

avifile-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use avifile. It is also used internally to the .m4 macros for GNU autoconf that are included with avifile.

OPTIONS
--version Print the currently installed version of avifile on the standard output.

--libs
    Print the linker flags that are necessary to link a avifile program.

--cflags
    Print the compiler flags that are necessary to compile a avifile program.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that avifile was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that avifile was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

--data-dir
    Print the data dir used for avifile program.

SEE ALSO
aviplay(1)

COPYRIGHT
Copyright © 1998 Zdenek Kabelac

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.